// -- Dashboard styles ----------------------------------------------------

// -------------------------------------------------------------------

// Search field clear

// -------------------------------------------------------------------

.clearable {
  position: relative;
  display: inline-block;

  input[type=text] {
    width: 100%;
    box-sizing: border-box;
  }

  input::-ms-clear {  /* Remove IE default X */
    display: none;
  }
}

.clearable__clear,
.clearable__clear2 {
  display: none;
  position: absolute;
  right: 26px;
  top: 19px;
  font-style: normal;
  user-select: none;
  cursor: pointer;
  width: 21px;
  height: 20px;
  color: $text-body-color;
  font-weight: $regular;

  @include font-size(26);
  @include line-height(19);
}

.search-icon,
.search-icon-contacts {
  margin-top: -37px;
  margin-bottom: 20px;
  margin-left: 19px;
  width: 16px;
  height: 16px;
}

.search-icon-contacts {
  margin-top: -52px;
}

//TODO move to more general place

.custom-check {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */

.custom-check input {
  font-size: 22px;
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.custom-check span {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  margin-top: -3px;
  background-color: #eee;
  border-radius: 8px;
  border: 1px solid #68abc6;
}

/* On mouse-over, add a grey background color */
.custom-check:hover input ~ span {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.custom-check input:checked ~ span {
  background-color: #68abc6;
}

/* Create the checkmark/indicator (hidden when not checked) */
.custom-check span::after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.custom-check input:checked ~ span::after {
  display: inline-block;
}

/* Style the checkmark/indicator */
.custom-check span::after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

// progress steps like a webshop

div.progress-steps,
div.progress-steps2,
div.progress-steps3,
div.progress-steps4,
div.progress-steps5 {
  width: 100%;
  margin-top: 9px;
  margin-bottom: 24px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 50px; /* properly offsetting text */
}

div.progress-step {
  overflow: visible;
  display: inline-block;
  text-align: center;
  width: 100px; /* properly offsetting text */
  margin-left: -40px; /* properly offsetting text */
}

div.progress-line {
  display: inline-block;
  height: 4px;
  top: -31px;
  position: relative;
  background-color: #dadada;
  margin-left: -40px; /* properly offsetting text */
}

div.progress-steps2 div.progress-line {
  width: calc(calc(100% - 120px) / 1);
}

div.progress-steps3 div.progress-line {
  width: calc(calc(100% - 120px) / 2);
}

div.progress-steps4 div.progress-line {
  width: calc(calc(100% - 120px) / 3);
}

div.progress-steps5 div.progress-line {
  width: calc(calc(100% - 180px) / 4);
}

div.progress-step .dot {
  width: 20px;
  height: 20px;
  border-radius: 10px;
  background-color: #dadada;
  position: relative;
  margin-left: auto;
  margin-right: auto;
}

div.progress-step .label {
  position: relative;
  margin-left: auto;
  margin-right: auto;
  padding-top: 8px;
  height: 30px;
}

// progress step active elements

div.progress-step.active .dot {
  background-color: #68abc6;
}

div.progress-step.failed .dot {
  background-color: #f47474;
}

div.progress-line.active {
  background-color: #68abc6;
}

div.progress-line.failed {
  background-color: #f47474;
}

div.progress-step.active .label {
  color: #68abc6;
}

div.progress-step.failed .label {
  color: #f47474;
}

.pulse {
  animation: pulse-animation 2s infinite;
}

@keyframes pulse-animation {
  0% {
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.2);
  }

  100% {
    box-shadow: 0 0 0 20px rgba(0, 0, 0, 0);
  }
}

.view {
  height: 100vh;
  overflow: hidden;
}

div.progress-radial-wrapper {
  background: url('./svg/radial-backdrop.svg');
  background-position: center;
  background-repeat: no-repeat;
  margin-bottom: 1em;
}

div.progress-radial {
  width: 300px;
  height: 300px;
  background: conic-gradient(#6cc9be, #de896b, #e755a4);
}

div.progress-radial-wrapper.progress-radial-pulse svg {
  animation: radial-pulse 2s ease-out infinite;
}

@keyframes radial-pulse {
  0% {
    filter: brightness(100%);
  }

  50% {
    filter: brightness(125%);
  }

  100% {
    filter: brightness(100%);
  }
}

div.progress-radial-failed {
  width: 300px;
  height: 300px;
  background: red;
}

#popup {
  display: none;
  position: fixed;
  z-index: 100000000000;
  background-color: beige;
  color: black;
  border-radius: 5px;
  border-width: 1px;
  border-style: solid;
  border-color: black;
  left: 50vw;
  top: 10px;
  padding: 20px;
  transform: translateX(-50%);
}

#gray {
  z-index: 1;
  position: fixed;
  left: 0;
  top: 0;
  width: 100vw;
  /* DOES NOT WORK ON APPLE height: 100vh; */
  background-color: rgba(100, 100, 100, 0.75);
}
